// MotionController_GALIL.h: interface for the CMotionController_GALIL class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOTIONCONTROLLER_GALIL_H__CDB6D2BC_791A_4C32_B162_0BB564FFED61__INCLUDED_)
#define AFX_MOTIONCONTROLLER_GALIL_H__CDB6D2BC_791A_4C32_B162_0BB564FFED61__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MotionControllerBase.h"

class CMotionController_GALIL : public CMotionControllerBase
{
public:
    CMotionController_GALIL(int index);
    virtual ~CMotionController_GALIL();

    BOOL Init(int &nNoOfMtr) override;
    void Close() override;

//  get Motion status of motor
    int GetMotionStatus(const CMtrProfile &mtrProfile) override;

    void SetGalilMotionInt(int nAxisNo);

    int m_nCurrentGalilCard;

private:
    CWinThread *m_pGalilIntThread[4];
};

#endif // !defined(AFX_MOTIONCONTROLLER_GALIL_H__CDB6D2BC_791A_4C32_B162_0BB564FFED61__INCLUDED_)
